using System;
using System.Collections.Generic;
using System.Text;

using SharedLibrary;

namespace TcpClient
{
   class Program
   {
      static void Main(string[] args)
      {
         ISharedObject sharedObj =
            (ISharedObject)Activator.GetObject(typeof(ISharedObject),
            "tcp://localhost:8080/SharedObject.rem");
         if (sharedObj == null)
         {
            Console.WriteLine("Próba uzyskania referencji do obiektu zdalnego zakończyła się niepowidzeniem.");
         }
         else
         {  
            Customer cust = new Customer();
            cust.ID = "newcust001";
            cust.FirstName = "Jan";
            cust.LastName = "Kowalski";
            sharedObj.ProcessCustomer(cust);
            Customer retrievedCust = sharedObj.GetCustomer("newcust001");
            Console.WriteLine("Pobrano dane o kliencie z lokalizacji zdalnej: " +
               retrievedCust.FirstName + " " + retrievedCust.LastName);
         }
         Console.ReadLine();
      }
   }
}
